package com.mamezou.jms.converter;

import org.springframework.beans.factory.BeanFactory;
import org.springframework.context.support.ClassPathXmlApplicationContext;

public class OrderMessageConsumerMain {
    public static void main(String[] args) {
        BeanFactory factory = new ClassPathXmlApplicationContext(
                "com/mamezou/jms/converter/ApplicationContext-consumer.xml");
        OrderMessageConsumer consumer 
                = (OrderMessageConsumer) factory.getBean("consumer");
        while (true) {
            Order messageObject = consumer.receive();
            System.out.println("receive order");
            System.out.println("product id = " + messageObject.getProductId());
            System.out.println("quantity = " + messageObject.getQuantity());
            System.out.println("message = " + messageObject.getComment());
        }
    }
}
