package com.mamezou.jms.listener;

import org.springframework.beans.factory.BeanFactory;
import org.springframework.context.support.ClassPathXmlApplicationContext;
import org.springframework.jms.core.JmsTemplate;

public class ListenerExampleProducer {
    public static void main(String[] args) {
        BeanFactory factory = new ClassPathXmlApplicationContext(
            "com/mamezou/jms/listener/ApplicationContext-producer.xml");
        JmsTemplate template = (JmsTemplate) factory.getBean("jmsTemplate");
        template.convertAndSend("this is message");
    }
}
