package com.mamezou.jms.transaction;

import org.springframework.beans.factory.BeanFactory;
import org.springframework.context.support.ClassPathXmlApplicationContext;

import com.mamezou.jms.converter.Order;
import com.mamezou.jms.converter.OrderMessageProducer;

public class OrderMessageProducerTransactionMain {
    public static void main(String[] args) {
        BeanFactory factory = new ClassPathXmlApplicationContext(
                "com/mamezou/jms/transaction/ApplicationContext-producer.xml");
        OrderMessageProducer producer = null;
        producer = (OrderMessageProducer) factory.getBean("producer");
        producer.send(new Order(223, 33, "order product!"));
    }
}
